# $Revision: 1.21 $, $Date: 2011/01/11 13:35:00 $
#
# TODO: check if server still works
#
%define		_serv_ver	0.2.2
%define		_mserv	bomberclonemserv-%{_serv_ver}
Summary:	Clone of the game AtomicBomberMan
Summary(pl.UTF-8):	Klon gry AtomicBomberMan
Name:		bomberclone
Version:	0.11.9
Release:	1
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	http://downloads.sourceforge.net/bomberclone/%{name}-%{version}.tar.gz
# Source0-md5:	3edcfcf69b88dbd2eab42541f236e072
Source1:	http://downloads.sourceforge.net/bomberclone/%{_mserv}.tgz
# Source1-md5:	40bbe14055010e7fcf11c6bfd4e4c006
Source2:	%{name}.desktop
Patch0:		%{name}-link.patch
Patch1:		%{name}mserv-include.patch
URL:		http://www.bomberclone.de/
BuildRequires:	SDL_image-devel >= 1.2
BuildRequires:	SDL_mixer-devel >= 1.2
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Clone of the game AtomicBomberMan. It supports multiplayer over the
Internet.

%description -l pl.UTF-8
Klon gry AtomicBomberMan wspierający grę z kilkoma graczami w
Internecie.

%package master_server
Summary:	Master server for BomberClone
Summary(pl.UTF-8):	Główny serwer dla BomberClone'a
Group:		X11/Applications/Games

%description master_server
The BomberCloneMasterServer holds a list of all active running games.
Other players can so easy join a running game by selecting the game
from join menu.

%description master_server -l pl.UTF-8
BomberCloneMasterServer jest głównym serwerem, który przechowuje
wszystkie aktywne gry. Inni gracze mogą w prosty sposób przyłączyć się
do toczącej się gry poprzez wskazanie jej w menu.

%prep
%setup -q -a1
%patch0 -p1
cd %{_mserv}
%patch1 -p1


%build
%configure
%{__make}

cd %{_mserv}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/games,%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -C %{_mserv} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a $RPM_BUILD_ROOT%{_datadir}/games/%{name}/gfx/logo.png \
	$RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png

install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}

%{__rm} -r $RPM_BUILD_ROOT%{_prefix}/doc/bomberclonemserv

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/games/%{name}
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png

%files master_server
%defattr(644,root,root,755)
%doc README
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/bomberclonemserv

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bomberclone.spec,v $
Revision 1.21  2011/01/11 13:35:00  lisu
- updated to 0.11.9
- some cleanups
- fix linking
- more verbose files

Revision 1.20  2009/11/27 13:45:40  sparky
- BR: libstdc++-devel (for master_server)

Revision 1.19  2007/12/18 19:44:21  lisu
- up to 0.11.8
- more docs

Revision 1.18  2007-04-27 07:05:34  qboosh
- more CVE references

Revision 1.17  2007/04/26 20:45:41  qboosh
- CVE reference

Revision 1.16  2007/04/08 15:35:39  qboosh
- unified

Revision 1.15  2007/04/08 14:56:13  shadzik
- use install -d just once in %install
- remove unwanted files after installation

Revision 1.14  2007/04/08 14:51:37  shadzik
- use make install instead of manual install

Revision 1.13  2007/02/12 21:23:49  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:48:40  baggins
- converted to UTF-8

Revision 1.11  2007/01/13 23:43:23  lisu
- 0.11.7
- bombercolne-fix-kaboom.patch removed
- cosmetics
[fixes CVE-2006-4005 CVE-2006-4006]

Revision 1.10  2006/02/17 21:40:43  psz
- security fix: GLSA 200602-09 [CVE-2006-0460]
- STBR

Revision 1.9  2005/04/03 15:54:36  darekr
- updated to 0.11.6

Revision 1.8  2004/12/27 16:10:01  adamg
- updated to 0.11.5

Revision 1.7  2004/12/14 08:38:17  adamg
- updated to 0.11.4

Revision 1.6  2004/11/30 13:40:24  paladine
- removed duplicated BR automake and redundant BR SDL-devel
- sorted BRs
- cosmetics

Revision 1.5  2004/06/16 17:55:25  yogib
- updated to 0.11.3

Revision 1.4  2004/02/28 10:31:36  undefine
- copy config.sub, release 2

Revision 1.3  2004/02/09 20:48:18  yogib
- rel 1

Revision 1.2  2004/02/08 11:32:30  yogib
- added master server, nearly finished

Revision 1.1  2004/02/08 09:48:40  yogib
- added, nfy
